PLplot: nncommon.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
nncommon.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <stdarg.h>`
`#include <assert.h>`
`#include <math.h>`
`#include <limits.h>`
`#include <float.h>`
`#include <string.h>`
`#include <errno.h>`
`#include "nan.h"`
`#include "delaunay.h"`
`#include "version.h"`

Go to the source code of this file.

## Macros
#define | BUFSIZE 1024
#define | EPSILON 1.0e-8
#define | NALLOCATED_START 1024

## Functions
void | nn_quit (const char *format,...)
int | circle_build (circle *c, point *p1, point *p2, point *p3)
int | circle_contains (circle *c, point *p)
void | points_thin (int *pn, point **ppoints, int nx, int ny)
void | points_generate1 (int nin, point pin[], int nx, int ny, double zoom, int *nout, point **pout)
void | points_generate2 (double xmin, double xmax, double ymin, double ymax, int nx, int ny, int *nout, point **pout)
static int | str2double (char *token, double *value)
void | points_read (char *fname, int dim, int *n, point **points)
double | points_scaletosquare (int n, point *points)
void | points_scale (int n, point *points, double k)

## Variables
int | nn_verbose = 0
int | nn_test_vertice = -1
NN_RULE | nn_rule = SIBSON

## Macro Definition Documentation

## ◆ BUFSIZE

#define BUFSIZE 1024

Definition at line 39 of file nncommon.c.

## ◆ EPSILON

#define EPSILON 1.0e-8

Definition at line 41 of file nncommon.c.

## ◆ NALLOCATED_START

#define NALLOCATED_START 1024

Definition at line 393 of file nncommon.c.

## Function Documentation

## ◆ circle_build()

int circle_build | ( | circle * | c,
|  | point * | p1,
|  | point * | p2,
|  | point * | p3
| ) |  |

Definition at line 68 of file nncommon.c.

## ◆ circle_contains()

int circle_contains | ( | circle * | c,
|  | point * | p
| ) |  |

Definition at line 98 of file nncommon.c.

## ◆ nn_quit()

void nn_quit | ( | const char * | format,
|  |  | ...
| ) |  |

Definition at line 53 of file nncommon.c.

## ◆ points_generate1()

void points_generate1 | ( | int | nin,
|  | point | pin[],
|  | int | nx,
|  | int | ny,
|  | double | zoom,
|  | int * | nout,
|  | point ** | pout
| ) |  |

Definition at line 249 of file nncommon.c.

## ◆ points_generate2()

void points_generate2 | ( | double | xmin,
|  | double | xmax,
|  | double | ymin,
|  | double | ymax,
|  | int | nx,
|  | int | ny,
|  | int * | nout,
|  | point ** | pout
| ) |  |

Definition at line 334 of file nncommon.c.

## ◆ points_read()

void points_read | ( | char * | fname,
|  | int | dim,
|  | int * | n,
|  | point ** | points
| ) |  |

Definition at line 402 of file nncommon.c.

## ◆ points_scale()

void points_scale | ( | int | n,
|  | point * | points,
|  | double | k
| ) |  |

Definition at line 530 of file nncommon.c.

## ◆ points_scaletosquare()

double points_scaletosquare | ( | int | n,
|  | point * | points
| ) |  |

Definition at line 487 of file nncommon.c.

## ◆ points_thin()

void points_thin | ( | int * | pn,
|  | point ** | ppoints,
|  | int | nx,
|  | int | ny
| ) |  |

Definition at line 114 of file nncommon.c.

## ◆ str2double()

static int str2double | ( | char * | token,
|  | double * | value
| ) |  |
| static

Definition at line 372 of file nncommon.c.

## Variable Documentation

## ◆ nn_rule

NN_RULE nn_rule = SIBSON

Definition at line 45 of file nncommon.c.

## ◆ nn_test_vertice

int nn_test_vertice = -1

Definition at line 44 of file nncommon.c.

## ◆ nn_verbose

int nn_verbose = 0

Definition at line 43 of file nncommon.c.